Tomcat 7.x and code compiled on JDK 1.5

From this link looks like minimal Java version supported by Tomcat 7.x is 1.6 but maybe somebody try to check this requirement and use inside webapp jars compiled on JDK 1.5?

Is it works? Or not works at all? Maybe works with limitations?

Thanks in advance.

Answers


I'm not quite sure I understand what you mean with "use inside webapp jars compiled on JDK 1.5". But it seems you mix up two things:

  • To run Tomcat 7.x, you'll need at least JRE or JDK 1.6.

  • However, you can use any JAR file, which was originally compiled for an earlier Java version as they are upwards compatible.

So if you're interested in using some older jar file, there's no problem.


Need Your Help

How to On/Off UILocalNotification in iphone?

iphone uilocalnotification

I have set UILocalNotification according UISWitch position by calling following method on button action set alarm.

Multiple routes with more than 10 waypoints

javascript google-maps google-maps-api-3

I'm having a hard time to try show multiple routes in one map using over than 10 waypoints for each route but It is showing just one route. Can you please tell me what I am doing wrong?